> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orbital-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get configuration



## OpenAPI

````yaml /spec.json get /client/showers/{id}/configuration
openapi: 3.0.4
info:
  title: Orbital API
  version: 1.0.0
servers:
  - url: https://api.orbital-systems.com
    description: Production
  - url: https://stage-api.orbital-systems.com
    description: Staging
  - url: https://dev-api.orbital-systems.com
    description: Development
security:
  - apiKeyAuth: []
tags: []
paths:
  /client/showers/{id}/configuration:
    get:
      tags:
        - Shower configuration.
      summary: Get configuration
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The shower ID
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/showerSettingsResponse'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
        '404':
          description: Shower configuration not found
          content:
            application/json:
              schema:
                type: object
        '500':
          description: Database error
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    showerSettingsResponse:
      type: object
      properties:
        boost_flow_enabled:
          type: boolean
        cleaning_program_liters_limit:
          type: number
        cleaning_program_session_limit:
          type: number
        cleaning_program_sessions_limit_enabled:
          type: boolean
        color_mode:
          type: number
        daily_hot_water_treatment_enabled:
          type: boolean
        daily_hot_water_treatment_time:
          type: string
        default_recirculation_mode:
          type: number
        default_shower_flow:
          type: number
        heater_power_available:
          type: number
        hot_water_treatment_per_session_enabled:
          type: boolean
        is_private_shower:
          type: boolean
        is_wall_clock_12_hour_format:
          type: boolean
        is_wall_clock_enabled:
          type: boolean
        live_data_rate:
          type: number
        max_shower_water_flow:
          type: number
        min_conservation_flow:
          type: number
        min_shower_water_flow:
          type: number
        shower_head_hc_enabled:
          type: boolean
        shower_water_temperature_fahrenheit:
          type: boolean
        shower_water_temperature_max:
          type: number
        shower_water_temperature_min:
          type: number
        shower_water_temperature_start:
          type: number
        state_active_showering_timer:
          type: number
        state_standby_no_user_wait_timer:
          type: number
        state_standby_wait_timer:
          type: number
        time_zone_name:
          type: string
        time_zone:
          type: string
        use_estimation_for_drain_temperature:
          type: boolean
        water_conservation:
          type: boolean
        welcome_message_enabled:
          type: boolean
        welcome_message:
          type: string
        water_hardness:
          type: number
          minimum: 1
          maximum: 30
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````